-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
-- 				Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: thai_m

description = "" 
output_type = "audio"
speaker = ""
gender = "m"
travel_mode = "1"
language = "Thai"
marc_code = "tha"
language_id = "33"
id = "33101"
config_file = "thai_m/config.lua"
audio_files_path = "thai_m/thai_male"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001", "g5man_001"},
    ["KEEP_MIDDLE"] = {"g5man_009", "g5man_009"},
    ["KEEP_RIGHT"] = {"g5tur_001", "g5tur_001"},
    ["LIGHT_RIGHT"] = {"g5tur_002", "g5tur_002"},
    ["QUITE_RIGHT"] = {"g5tur_003", "g5tur_003"},
    ["HEAVY_RIGHT"] = {"g5tur_004", "g5tur_004"},
    ["RETURN"] = {"g5man_004u", "g5man_004u"},
    ["HEAVY_LEFT"] = {"g5tul_004", "g5tul_004"},
    ["QUITE_LEFT"] = {"g5tul_003", "g5tul_003"},
    ["LIGHT_LEFT"] = {"g5tul_002", "g5tul_002"},
    ["KEEP_LEFT"] = {"g5tul_001", "g5tul_001"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_check = {
    ["END"] = {"g5ann_001e_alt2", "g5ann_001e_alt2"},              -- you will reached your destination
    ["STOPOVER"] = {"g5ann_002_alt2", "g5ann_002_alt2"},           -- You will reached a stopover
    ["JUNCTION"] = {nil, nil},                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                   -- At the roundabout
    ["EXIT_ROUNDABOUT"] = {"g5ext_000", "g5ext_000"},              -- take the exit
    ["UTURN"] = {"g5man_004u", "g5man_004u"},                      -- Make a uturn
    ["ENTER_HIGHWAY"] = {"g5man_012", "g5man_012"},
    ["LEAVE_HIGHWAY"] = {"g5man_014", "g5man_014"},                -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5man_013", "g5man_013"},
    ["CONTINUE_HIGHWAY"] = {"g5man_015", "g5man_015"},
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_012", "g5man_012"},
    ["LEAVE_URBAN_HIGHWAY"] = {"g5man_014", "g5man_014"},          -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5man_013", "g5man_013"},
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5man_015", "g5man_015"},
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},      -- drive to nearest road 
    ["FERRY"] = {"g5serv_004", "g5serv_004"}
}

exit_number_check = {
    [1] = {"g5ext_001","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009","g5ext_009"},                   -- take the ninth exit
    [10] = {"g5ext_010","g5ext_010"},                  -- take the tenth exit
    [11] = {"g5ext_011","g5ext_011"},                  -- take the eleventh exit 
    [12] = {"g5ext_012","g5ext_012"}                   -- take the twelfth exit 
}

distances = {
    [50] = "g5num_050",
    [100] = "g5num_100",
    [150] = "g5num_150",
    [200] = "g5num_200",
    [250] = "g5num_250",
    [300] = "g5num_300",
    [400] = "g5num_400",
    [500] = "g5num_500",
    [600] = "g5num_600",
    [700] = "g5num_700",
    [800] = "g5num_800",
    [900] = "g5num_900",
    [1] = "g5num_001",
    [2] = "g5num_002",
    [3] = "g5num_003",
    [4] = "g5num_004",
    [5] = "g5num_005",
    [6] = "g5num_006",
    [7] = "g5num_007",
    [8] = "g5num_008",
    [9] = "g5num_009",
    [10] = "g5num_010"
}

unit = {                                    -- Intonation down, intonation up
    ["MILE"] = {"g5unt_007","g5unt_007"},
    ["YARDS"] = {"g5unt_006","g5unt_006"},
    ["KILOMETER"] = {"g5unt_003","g5unt_003"},
    ["METERS"] = {"g5unt_001","g5unt_001"},
    ["METER"] = {nil, nil},
    ["KILOMETERS"] = {"g5unt_003","g5unt_003"},
    ["MILES"] = {"g5unt_007","g5unt_007"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_009",
    ["gps_signal_restored_wav"] = "g5war_010",
    ["no_gps_signal_wav"] = "g5war_011",
    ["route_recalculation_wav"] = "g5war_012",
    ["now_wav"] = "g5mod_006",
    ["destination_wav"] = "g5ann_002",
    ["stopover_wav"] = "g5ann_002e",
    ["end_of_street_wav"] = "g5mod_004",
    ["follow_hwy_wav"] = "g5man_015",
    ["follow_road_e_wav"] = "g5man_002",
    ["follow_road_wav"] = "g5man_002",
    ["roundabout_wav"] = "g5mod_005",
    ["after_wav"] = "g5pre_003",
    ["after_junc_wav"] = "g5pre_003_alt1",
    ["and_wav"] = "g5con_002",
    ["the_junction_wav"] = "g5mod_017",
    ["second_right_wav"] = "g5turns_right_006",
    ["second_left_wav"] = "g5turns_left_006",
    ["immediately_wav"] = "g5mod_007_imm_alt1",
    ["safety_camara_ahead_wav"] = "g5war_037",
    ["over_speed_limit_wav"] = "g5war_speed_limit_soft4edit9",
    ["traffic_automatic_detour_wav"] = "g5war_018",
    ["traffic_manual_detour_wav"] = "g5war_017",
    ["and_then_wav"] = "g5con_001"
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }

check_files = { maneuver_turns, maneuver_check, exit_number_check, distances, unit, misc }
